Type to search.

Delete data stream lifecycles

  • DELETE /_data_stream/{name}/_lifecycle
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Removes the data stream lifecycle from a data stream, rendering it not managed by the data stream lifecycle.

Read the reference documentation

Path parameters

name union string | string[] required

A comma-separated list of data streams of which the data stream lifecycle will be deleted. Use * to get all data streams

Query parameters

expand_wildcards union oneOf · default: open

Whether wildcard expressions should get expanded to open or closed indices (default: open)

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node.

Values: -1 0
timeout union oneOf · default: 30s

The period to wait for a response.

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.